# pspiofilemgr_kernel.h File Reference

`#include <psptypes.h>`
`#include <pspkerneltypes.h>`
`#include <pspiofilemgr.h>`

Include dependency graph for pspiofilemgr_kernel.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | PspIoDrvArg
| Structure passed to the init and exit functions of the io driver system. More...
struct | PspIoDrvFileArg
| Structure passed to the file functions of the io driver system. More...
struct | PspIoDrvFuncs
| Structure to maintain the file driver pointers. More...
struct | PspIoDrv

## Typedefs

typedef PspIoDrvArg | PspIoDrvArg
| Structure passed to the init and exit functions of the io driver system.
typedef PspIoDrvFileArg | PspIoDrvFileArg
| Structure passed to the file functions of the io driver system.
typedef PspIoDrvFuncs | PspIoDrvFuncs
| Structure to maintain the file driver pointers.
typedef PspIoDrv | PspIoDrv

## Functions

int | sceIoAddDrv (PspIoDrv *drv)
| Adds a new IO driver to the system.
int | sceIoDelDrv (const char *drv_name)
| Deletes a IO driver from the system.
int | sceIoReopen (const char *file, int flags, SceMode mode, SceUID fd)
| Reopens an existing file descriptor.